[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TPROCESS.Environment

Environment variables for the new process

## Declaration

Source position: processbody.inc line 153

`published property TPROCESS.Environment : TProcessStrings read FEnvironment write SetEnvironment;`

## Description

Environment contains the complete environment for the new process; it is a list of Name=Value pairs, one per line. You must specify all variables, i.e. the variables defined here are not added to the environment of the current process.

If it is empty, the environment of the current process is passed on to the new process.

## See also

TProcess.Options |  | Options to be used when starting the process.